# DataExchange
TKSTEPBase
StepBasic

# StepBasic_PersonAndOrganization Class Reference

`#include <StepBasic_PersonAndOrganization.hxx>`

## Public Member Functions

Standard_EXPORT | StepBasic_PersonAndOrganization ()
| Returns a PersonAndOrganization .
virtual Standard_EXPORT void | Init (const Handle(StepBasic_Person)&aThePerson, const Handle(StepBasic_Organization)&aTheOrganization)
Standard_EXPORT void | SetThePerson (const Handle(StepBasic_Person)&aThePerson)
Standard_EXPORT Handle_StepBasic_Person | ThePerson () const
Standard_EXPORT void | SetTheOrganization (const Handle(StepBasic_Organization)&aTheOrganization)
Standard_EXPORT Handle_StepBasic_Organization | TheOrganization () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepBasic_Person | thePerson
Handle_StepBasic_Organization | theOrganization

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_PersonAndOrganization::StepBasic_PersonAndOrganization | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepBasic_PersonAndOrganization::Handle | ( | Standard_Type |  | ) | const

virtual Standard_EXPORT void StepBasic_PersonAndOrganization::Init | ( | const Handle(StepBasic_Person)& | aThePerson,
|  | const Handle(StepBasic_Organization)& | aTheOrganization
| ) | `[virtual]`

Standard_EXPORT void StepBasic_PersonAndOrganization::SetTheOrganization | ( | const Handle(StepBasic_Organization)& | aTheOrganization | ) |

Standard_EXPORT void StepBasic_PersonAndOrganization::SetThePerson | ( | const Handle(StepBasic_Person)& | aThePerson | ) |

Standard_EXPORT Handle_StepBasic_Organization StepBasic_PersonAndOrganization::TheOrganization | ( |  | ) | const

Standard_EXPORT Handle_StepBasic_Person StepBasic_PersonAndOrganization::ThePerson | ( |  | ) | const

## Field Documentation

Handle_StepBasic_Organization StepBasic_PersonAndOrganization::theOrganization `[private]`

Handle_StepBasic_Person StepBasic_PersonAndOrganization::thePerson `[private]`

The documentation for this class was generated from the following file:

- StepBasic_PersonAndOrganization.hxx